using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 1",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_1_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 2",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_2_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 3",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_3_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 4",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_4_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_4.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 5",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_5_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_5.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 6",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_6_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_6.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 7",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_7_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_7.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Male Hair 8",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Male_8_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Male_8.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 1",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_1_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 2",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_2_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 3",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_3_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 4",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_4_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_4.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 5",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_5_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_5.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 6",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_6_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_6.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 7",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_7_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_7.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Female Hair 8",
                    DescriptionOverride = "Some hair to decorate humans.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hair_Female_8_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hair_Female_8.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
            		item.ForceNoCharge = true;
                     	item.Properties = ModAPI.FindPhysicalProperties("Soft");
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        Instance.FixColliders();
                    }
                }
            );
        }
    }
}